=== debian/changelog ===
ros-r2b2-tf2 (0.5.15-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 05:00:00 -0000

ros-r2b2-tf2 (0.5.14-6xenial) xenial; urgency=high

  * fixes #194 <https://github.com/ros/geometry2/issues/194> check for quaternion normalization before inserting into storage (#196 <https://github.com/ros/geometry2/issues/196>)
    * check for quaternion normalization before inserting into storage
    * Add test to check for transform failure on invalid quaternion input
  * updating getAngleShortestPath() (#187 <https://github.com/ros/geometry2/issues/187>)
  * Move internal cache functions into a namespace
    Fixes https://github.com/ros/geometry2/issues/175
  * Link properly to convert.h
  * Landing page for tf2 describing the conversion interface
  * Fix comment on BufferCore::MAX_GRAPH_DEPTH.
  * Contributors: Jackie Kay, Phil Osteen, Tully Foote, alex, gavanderhoorn

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 05:00:00 -0000

ros-r2b2-tf2 (0.5.13-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 05:00:00 -0000

ros-r2b2-tf2 (0.5.12-6xenial) xenial; urgency=high

  * add utilities to get yaw, pitch, roll and identity transform
  * provide more conversions between types
    The previous conversion always assumed that it was converting a
    non-message type to a non-message type. Now, one, both or none
    can be a message or a non-message.
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 04:00:00 -0000

ros-r2b2-tf2 (0.5.11-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 04:00:00 -0000

ros-r2b2-tf2 (0.5.10-6xenial) xenial; urgency=high

  * move lct_cache into function local memoryfor #92 <https://github.com/ros/geometry_experimental/issues/92>
  * Clean up range checking. Re: #92 <https://github.com/ros/geometry_experimental/issues/92>
  * Fixed chainToVector
  * release lock before possibly invoking user callbacks. Fixes #91 <https://github.com/ros/geometry_experimental/issues/91>
  * Contributors: Jackie Kay, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 04:00:00 -0000

ros-r2b2-tf2 (0.5.9-6xenial) xenial; urgency=high

  * fixing edge case where two no frame id lookups matched in getLatestCommonTime
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 04:00:00 -0000

ros-r2b2-tf2 (0.5.8-6xenial) xenial; urgency=high

  * change from default argument to overload to avoid linking issue #84 <https://github.com/ros/geometry_experimental/issues/84>
  * remove useless Makefile files
  * Remove unused assignments in max/min functions
  * change _allFramesAsDot() -> _allFramesAsDot(double current_time)
  * Contributors: Jon Binney, Kei Okada, Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 04:00:00 -0000

ros-r2b2-tf2 (0.5.7-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 05:00:00 -0000

ros-r2b2-tf2 (0.5.6-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 04:00:00 -0000

ros-r2b2-tf2 (0.5.5-6xenial) xenial; urgency=high

  * convert to use console bridge from upstream debian package https://github.com/ros/rosdistro/issues/4633
  * Fix format string
  * Contributors: Austin, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 04:00:00 -0000

ros-r2b2-tf2 (0.5.4-6xenial) xenial; urgency=high

  * switch to boost signals2 following ros/ros_comm#267 <https://github.com/ros/ros_comm/issues/267>, blocking ros/geometry#23 <https://github.com/ros/geometry/issues/23>
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 04:00:00 -0000

ros-r2b2-tf2 (0.5.3-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 05:00:00 -0000

ros-r2b2-tf2 (0.5.2-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 05:00:00 -0000

ros-r2b2-tf2 (0.5.1-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 05:00:00 -0000

ros-r2b2-tf2 (0.5.0-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 05:00:00 -0000

ros-r2b2-tf2 (0.4.10-6xenial) xenial; urgency=high

  * updated error message. fixes #38 <https://github.com/ros/geometry_experimental/issues/38>
  * tf2: add missing console bridge include directories (fix #48 <https://github.com/ros/geometry_experimental/issues/48>)
  * Fix const correctness of tf2::Vector3 rotate() method
    The method does not modify the class thus should be const.
    This has already been fixed in Bullet itself.
  * Contributors: Dirk Thomas, Timo Rohling, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Dec 2013 05:00:00 -0000

ros-r2b2-tf2 (0.4.9-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 05:00:00 -0000

ros-r2b2-tf2 (0.4.8-6xenial) xenial; urgency=high

  * moving python documentation to tf2_ros from tf2 to follow the code
  * removing legacy rospy dependency. implementation removed in 0.4.0 fixes #27 <https://github.com/ros/geometry_experimental/issues/27>

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 05:00:00 -0000

ros-r2b2-tf2 (0.4.7-6xenial) xenial; urgency=high

  * switching to use allFramesAsStringNoLock inside of getLatestCommonTime and walkToParent and locking in public API _getLatestCommonTime instead re #23 <https://github.com/ros/geometry_experimental/issues/23>
  * Fixes a crash in tf's view_frames related to dot code generation in allFramesAsDot

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 04:00:00 -0000

ros-r2b2-tf2 (0.4.6-6xenial) xenial; urgency=high

  * cleaner fix for #19 <https://github.com/ros/geometry_experimental/issues/19>

