=== debian/control ===
Source: ros-r2b2-tf2
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-r2b2-ament-cmake, ros-r2b2-ament-cmake-gtest, ros-r2b2-console-bridge, ros-r2b2-geometry-msgs, ros-r2b2-ros-workspace
Homepage: http://www.ros.org/wiki/tf2
Standards-Version: 3.9.2

Package: ros-r2b2-tf2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-r2b2-console-bridge, ros-r2b2-geometry-msgs, ros-r2b2-ros-workspace
Description: tf2 is the second generation of the transform library, which lets the user keep track of multiple coordinate frames over time.
 tf2 maintains the relationship between coordinate frames in a tree structure buffered in time, and lets the user transform points, vectors, etc between any two coordinate frames at any desired point in time.
